Fehler bei python ez_setup.py

Probleme bei der Installation?
Antworten
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Mittwoch 20. Dezember 2017, 00:14

Hallo Zusammen,

versuche das Script ez_setup.py von https://bitbucket.org/pypa/setuptools zu installieren und erhalte folgenden Fehler:

python ez_setup.py
Downloading https://pypi.python.org/packages/source ... 0.6.tar.gz
Extracting in C:\Users\....\Temp\tmp2pdva32u
Traceback (most recent call last):
File “ez_setup.py”, line 258, in <module>
Sys.exit(main())
File “ez_setup.py”, line 255, in main
Return_install(tarball, _build_install_args(options))
File “ez_setup.py”, line 46, in _install
_extractall(tar)
File “ez_setup.py”, line 212, in _extractall
self.chown(tarinfo, dirpath)
TypeError: chown() missing 1 required positional argument: ‘numeric_owner’

Was ist denn da falsch?
(Versuche unter Win 10 eine Virtuelle Umgebung zu installieren, wie in "Flask Web Development" von M.Grinberg beschrieben. Meine Python Version ist 3.6)


Vielen Dank für einen Hinweis.

Grüße
__deets__
User
Beiträge: 2668
Registriert: Mittwoch 14. Oktober 2015, 14:29

Mittwoch 20. Dezember 2017, 00:31

Das ist eine uralte Version. Du solltest die aktuelle installieren.
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Freitag 22. Dezember 2017, 20:58

Hallo __deets__

die Version von ez_setup.py heruntergeladen von https://bitbucket.org/pypa/setuptools/downloads/ ist vom 2013-07-18.
Auf der Seite steht, dass die setuptools jetzt auf https://github.com/pypa/setuptools. zu finden wären.

Ein ez_setup.py ist nicht zu finden. Oder ist setup.py das gleiche?

Grüße
__deets__
User
Beiträge: 2668
Registriert: Mittwoch 14. Oktober 2015, 14:29

Freitag 22. Dezember 2017, 22:01

Mir fällt gerade ein das mit Python 3.6 Pip schon gleich mit an Bord ist. Und vielleicht sogar virtualenv. Gerade Mal geschaut. Und ja:

https://docs.python.org/3/library/venv.html

Du musst also nix machen.
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Freitag 22. Dezember 2017, 23:07

Hallo,

python -m venv c:\python34\Myflask\flasky
wir ohne Fehler ausgeführt.

aber
venv\Scripts\activate
meldet:
Das System kann den angegebenen Pfad nicht finden.

Anscheinend ist das Buch Flask Web Development vom Mai 2014 längst überholt.

Grüße
__deets__
User
Beiträge: 2668
Registriert: Mittwoch 14. Oktober 2015, 14:29

Samstag 23. Dezember 2017, 00:27

Nee. Dein Pfad ist falsch. Du musst in .../flasky activate aufrufen.
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Mittwoch 27. Dezember 2017, 01:54

Hallo,

der Ordner Python34\MyFlask\flasky enthält:

die Ordner Include, Lib und Scripts
und die Dateien hello.py (0 Bytes), license, pyvenv.cfg, readme.md und eine Textdatei.

(Python ist im Ordner Python36 installiert)

Im Ordner flasky ausgeführt:
venv\Scripts\activate

Fehlermeldung:
Das System kann den angegebenen Pfad nicht finden.

im Ordner flasky ausgeführt:
virtualenv venv

Fehlermeldung:
Der Befehl "virtualvenv" ist entweder falsch geschrieben oder konnte nicht gefunden werden.

Grüße
__deets__
User
Beiträge: 2668
Registriert: Mittwoch 14. Oktober 2015, 14:29

Mittwoch 27. Dezember 2017, 17:01

Das venv Kommando erzeugt eine verzeichnishierchie. Irgendwo dadrin ist ein activate.bat. Ganz bestimmt.
Matter_Horn
User
Beiträge: 14
Registriert: Sonntag 26. November 2017, 20:55

Mittwoch 27. Dezember 2017, 21:29

Hallo,

virtualenv venv kann ich nicht ausführen.

Habe im Ordner flasky ein Ordner Scripts mit activate.bat und deactivate.bat

Kann Scripts\activate und deactivate ausführen.

Wo ist jetzt die virtuelle Umgebung? Dahin sollte doch Flask installiert werden?

Grüße
(Sorry wenn ich nerve.)
__deets__
User
Beiträge: 2668
Registriert: Mittwoch 14. Oktober 2015, 14:29

Mittwoch 27. Dezember 2017, 22:23

Na wenn du activate aufgerufen hast, kannst du danach flask in das Virtual env installieren. Mit pip install flask oder so.
Antworten